import{s as Ae,n as Ee,o as Qe}from"../chunks/scheduler.d6170356.js";import{S as ze,i as Ve,g as l,s,r as m,A as Be,h as a,f as n,c as o,j as ke,u as f,x as r,k as Le,y as Ze,a as i,v as d,d as p,t as h,w as c}from"../chunks/index.fcd4cc08.js";import{C as Re}from"../chunks/CodeBlock.7b16bdef.js";import{H as z,E as Fe}from"../chunks/EditOnGithub.da2b595c.js";function Ge(we){let u,Z,V,F,y,G,g,$e='<a href="https://unity.com/" rel="nofollow">Unity 3D</a> is one of the most popular game engines in the world. <a href="https://unity.com/products/sentis" rel="nofollow">Unity Sentis</a> is the inference engine that runs on Unity 2023 or above. It is an API that allows you to easily integrate and run neural network models in your game or application making use of hardware acceleration. Because Unity can export to many different form factors including PC, mobile and consoles, it means that this is an easy way to run neural network models on many different types of hardware.',D,w,N,$,ve='You will find <code>unity-sentis</code> models by filtering at the left of the <a href="https://huggingface.co/models?library=unity-sentis" rel="nofollow">models page</a>.',X,v,Me='All the Sentis models in the Hub come with code and instructions to easily get you started using the model in Unity. All Sentis models under the <code>unity</code> namespace (for example, <a href="https://huggingface.co/unity/sentis-yolotinyv7" rel="nofollow">unity/sentis-yolotinyv7</a> have been validated to work, so you can be sure they will run in Unity.',O,M,Te='To get more details about using Sentis, you can read its <a href="https://docs.unity3d.com/Packages/com.unity.sentis@latest" rel="nofollow">documentation</a>. To get help from others using Sentis, you can ask in its <a href="https://discussions.unity.com/c/ai-beta/sentis" rel="nofollow">discussion forum</a>',Y,T,W,U,Ue="Each repository will contain several types of files:",K,C,Ce='<li><code>sentis</code> files: These are the main model files that contain the neural networks that run on Unity.</li> <li><code>ONNX</code> files: This is an alternative format you can include in addition to, or instead of, the Sentis files. It can be useful for visualization with third party tools such as <a href="https://github.com/lutzroeder/netron" rel="nofollow">Netron</a>.</li> <li><code>cs</code> file: These are C# files that contain the code to run the model on Unity.</li> <li><code>info.json</code>: This file contains information about the files in the repository.</li> <li>Data files. These are other files that are needed to run the model. They could include vocabulary files, lists of class names etc. Some typical files will have extensions <code>json</code> or <code>txt</code>.</li> <li><code>README.md</code>. This is the model card. It contains instructions on how to use the model and other relevant information.</li>',ee,x,te,b,xe="Always refer to the instructions on the model card. It is expected that you have some knowledge of Unity and some basic knowledge of C#.",ne,S,be='<li><p>Open Unity 2023 or above and create a new scene.</p></li> <li><p>Install the <code>com.unity.sentis</code> package from the <a href="https://docs.unity3d.com/Manual/upm-ui-quick.html" rel="nofollow">package manager</a>.</p></li> <li><p>Download your model files (<code>*.sentis</code>) and data files and put them in the StreamingAssets folder which is a subfolder inside the Assets folder. (If this folder does not exist you can create it).</p></li> <li><p>Place your C# file on an object in the scene such as the Main Camera.</p></li> <li><p>Refer to the model card to see if there are any other objects you need to create in the scene.</p></li>',ie,J,Se="In most cases, we only provide the basic implementation to get you up and running. It is up to you to find creative uses. For example, you may want to combine two or more models to do interesting things.",se,j,oe,I,Je='We encourage you to share your own Sentis models on Hugging Face. These may be models you trained yourself or models you have converted to the <a href="https://docs.unity3d.com/Packages/com.unity.sentis@1.3/manual/serialize-a-model.html" rel="nofollow">Sentis format</a> and have tested to run in Unity.',le,q,je="Please provide the models in the Sentis format for each repository you upload. This provides an extra check that they will run in Unity and is also the preferred format for large models. You can also include the original ONNX versions of the model files.",ae,_,Ie="Provide a C# file with a minimal implementation. For example, an image processing model should have code that shows how to prepare the image for the input and construct the image from the output. Alternatively, you can link to some external sample code. This will make it easy for others to download and use the model in Unity.",re,H,qe="Provide any data files needed to run the model. For example, vocabulary files.",ue,P,_e="Finally, please provide an <code>info.json</code> file, which lists your project’s files. This helps in counting the downloads. Some examples of the contents of <code>info.json</code> are:",me,k,fe,L,He="Or if your code sample is external:",de,R,pe,A,he,E,Pe='We also have some full <a href="https://github.com/Unity-Technologies/sentis-samples" rel="nofollow">sample projects</a> to help you get started using Sentis.',ce,Q,ye,B,ge;return y=new z({props:{title:"Using Unity Sentis Models from Hugging Face",local:"using-unity-sentis-models-from-hugging-face",headingTag:"h1"}}),w=new z({props:{title:"Exploring Sentis Models in the Hub",local:"exploring-sentis-models-in-the-hub",headingTag:"h2"}}),T=new z({props:{title:"Types of files",local:"types-of-files",headingTag:"h2"}}),x=new z({props:{title:"Running the model",local:"running-the-model",headingTag:"h2"}}),j=new z({props:{title:"Sharing your own Sentis models",local:"sharing-your-own-sentis-models",headingTag:"h2"}}),k=new Re({props:{code:"JTdCJTBBJTIwJTIwJTIwJTIyY29kZSUyMiUzQSUyMCU1QiUyMCUyMm15Y29kZS5jcyUyMiU1RCUyQyUyMCUwQSUyMCUyMCUyMCUyMm1vZGVscyUyMiUzQSUyMCU1QiUyMCUyMm1vZGVsMS5zZW50aXMlMjIlMkMlMjAlMjJtb2RlbDIuc2VudGlzJTIyJTVEJTJDJTBBJTIwJTIwJTIwJTIyZGF0YSUyMiUzQSUyMCU1QiUyMCUyMnZvY2FiLnR4dCUyMiUyMCU1RCUwQSU3RA==",highlighted:`{
   <span class="hljs-string">&quot;code&quot;</span>: [ <span class="hljs-string">&quot;mycode.cs&quot;</span>], 
   <span class="hljs-string">&quot;models&quot;</span>: [ <span class="hljs-string">&quot;model1.sentis&quot;</span>, <span class="hljs-string">&quot;model2.sentis&quot;</span>],
   <span class="hljs-string">&quot;data&quot;</span>: [ <span class="hljs-string">&quot;vocab.txt&quot;</span> ]
}`,wrap:!1}}),R=new Re({props:{code:"JTdCJTBBJTIwJTIwJTIwJTIyc2FtcGxlVVJMJTIyJTNBJTIwJTVCJTIwJTIyaHR0cCUzQSUyRiUyRnNhbXBsZXVuaXR5cHJvamVjdCUyMiU1RCUyQyUyMCUwQSUyMCUyMCUyMCUyMm1vZGVscyUyMiUzQSUyMCU1QiUyMCUyMm1vZGVsMS5zZW50aXMlMjIlMkMlMjAlMjJtb2RlbDIuc2VudGlzJTIyJTVEJTBBJTdE",highlighted:`{
   <span class="hljs-string">&quot;sampleURL&quot;</span>: [ <span class="hljs-string">&quot;http://sampleunityproject&quot;</span>], 
   <span class="hljs-string">&quot;models&quot;</span>: [ <span class="hljs-string">&quot;model1.sentis&quot;</span>, <span class="hljs-string">&quot;model2.sentis&quot;</span>]
}`,wrap:!1}}),A=new z({props:{title:"Additional Information",local:"additional-information",headingTag:"h2"}}),Q=new Fe({props:{source:"https://github.com/huggingface/hub-docs/blob/main/docs/hub/unity-sentis.md"}}),{c(){u=l("meta"),Z=s(),V=l("p"),F=s(),m(y.$$.fragment),G=s(),g=l("p"),g.innerHTML=$e,D=s(),m(w.$$.fragment),N=s(),$=l("p"),$.innerHTML=ve,X=s(),v=l("p"),v.innerHTML=Me,O=s(),M=l("p"),M.innerHTML=Te,Y=s(),m(T.$$.fragment),W=s(),U=l("p"),U.textContent=Ue,K=s(),C=l("ul"),C.innerHTML=Ce,ee=s(),m(x.$$.fragment),te=s(),b=l("p"),b.textContent=xe,ne=s(),S=l("ol"),S.innerHTML=be,ie=s(),J=l("p"),J.textContent=Se,se=s(),m(j.$$.fragment),oe=s(),I=l("p"),I.innerHTML=Je,le=s(),q=l("p"),q.textContent=je,ae=s(),_=l("p"),_.textContent=Ie,re=s(),H=l("p"),H.textContent=qe,ue=s(),P=l("p"),P.innerHTML=_e,me=s(),m(k.$$.fragment),fe=s(),L=l("p"),L.textContent=He,de=s(),m(R.$$.fragment),pe=s(),m(A.$$.fragment),he=s(),E=l("p"),E.innerHTML=Pe,ce=s(),m(Q.$$.fragment),ye=s(),B=l("p"),this.h()},l(e){const t=Be("svelte-u9bgzb",document.head);u=a(t,"META",{name:!0,content:!0}),t.forEach(n),Z=o(e),V=a(e,"P",{}),ke(V).forEach(n),F=o(e),f(y.$$.fragment,e),G=o(e),g=a(e,"P",{"data-svelte-h":!0}),r(g)!=="svelte-yqe7nq"&&(g.innerHTML=$e),D=o(e),f(w.$$.fragment,e),N=o(e),$=a(e,"P",{"data-svelte-h":!0}),r($)!=="svelte-w3iu42"&&($.innerHTML=ve),X=o(e),v=a(e,"P",{"data-svelte-h":!0}),r(v)!=="svelte-n3lnf"&&(v.innerHTML=Me),O=o(e),M=a(e,"P",{"data-svelte-h":!0}),r(M)!=="svelte-1iwc47h"&&(M.innerHTML=Te),Y=o(e),f(T.$$.fragment,e),W=o(e),U=a(e,"P",{"data-svelte-h":!0}),r(U)!=="svelte-tjjwqw"&&(U.textContent=Ue),K=o(e),C=a(e,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-1usau9k"&&(C.innerHTML=Ce),ee=o(e),f(x.$$.fragment,e),te=o(e),b=a(e,"P",{"data-svelte-h":!0}),r(b)!=="svelte-19lrnmq"&&(b.textContent=xe),ne=o(e),S=a(e,"OL",{"data-svelte-h":!0}),r(S)!=="svelte-1nmrfav"&&(S.innerHTML=be),ie=o(e),J=a(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-fta08n"&&(J.textContent=Se),se=o(e),f(j.$$.fragment,e),oe=o(e),I=a(e,"P",{"data-svelte-h":!0}),r(I)!=="svelte-1bh44gh"&&(I.innerHTML=Je),le=o(e),q=a(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-1ee82dp"&&(q.textContent=je),ae=o(e),_=a(e,"P",{"data-svelte-h":!0}),r(_)!=="svelte-18bgwoe"&&(_.textContent=Ie),re=o(e),H=a(e,"P",{"data-svelte-h":!0}),r(H)!=="svelte-47iqmr"&&(H.textContent=qe),ue=o(e),P=a(e,"P",{"data-svelte-h":!0}),r(P)!=="svelte-ayg0jq"&&(P.innerHTML=_e),me=o(e),f(k.$$.fragment,e),fe=o(e),L=a(e,"P",{"data-svelte-h":!0}),r(L)!=="svelte-1c38g71"&&(L.textContent=He),de=o(e),f(R.$$.fragment,e),pe=o(e),f(A.$$.fragment,e),he=o(e),E=a(e,"P",{"data-svelte-h":!0}),r(E)!=="svelte-vnxgfk"&&(E.innerHTML=Pe),ce=o(e),f(Q.$$.fragment,e),ye=o(e),B=a(e,"P",{}),ke(B).forEach(n),this.h()},h(){Le(u,"name","hf:doc:metadata"),Le(u,"content",De)},m(e,t){Ze(document.head,u),i(e,Z,t),i(e,V,t),i(e,F,t),d(y,e,t),i(e,G,t),i(e,g,t),i(e,D,t),d(w,e,t),i(e,N,t),i(e,$,t),i(e,X,t),i(e,v,t),i(e,O,t),i(e,M,t),i(e,Y,t),d(T,e,t),i(e,W,t),i(e,U,t),i(e,K,t),i(e,C,t),i(e,ee,t),d(x,e,t),i(e,te,t),i(e,b,t),i(e,ne,t),i(e,S,t),i(e,ie,t),i(e,J,t),i(e,se,t),d(j,e,t),i(e,oe,t),i(e,I,t),i(e,le,t),i(e,q,t),i(e,ae,t),i(e,_,t),i(e,re,t),i(e,H,t),i(e,ue,t),i(e,P,t),i(e,me,t),d(k,e,t),i(e,fe,t),i(e,L,t),i(e,de,t),d(R,e,t),i(e,pe,t),d(A,e,t),i(e,he,t),i(e,E,t),i(e,ce,t),d(Q,e,t),i(e,ye,t),i(e,B,t),ge=!0},p:Ee,i(e){ge||(p(y.$$.fragment,e),p(w.$$.fragment,e),p(T.$$.fragment,e),p(x.$$.fragment,e),p(j.$$.fragment,e),p(k.$$.fragment,e),p(R.$$.fragment,e),p(A.$$.fragment,e),p(Q.$$.fragment,e),ge=!0)},o(e){h(y.$$.fragment,e),h(w.$$.fragment,e),h(T.$$.fragment,e),h(x.$$.fragment,e),h(j.$$.fragment,e),h(k.$$.fragment,e),h(R.$$.fragment,e),h(A.$$.fragment,e),h(Q.$$.fragment,e),ge=!1},d(e){e&&(n(Z),n(V),n(F),n(G),n(g),n(D),n(N),n($),n(X),n(v),n(O),n(M),n(Y),n(W),n(U),n(K),n(C),n(ee),n(te),n(b),n(ne),n(S),n(ie),n(J),n(se),n(oe),n(I),n(le),n(q),n(ae),n(_),n(re),n(H),n(ue),n(P),n(me),n(fe),n(L),n(de),n(pe),n(he),n(E),n(ce),n(ye),n(B)),n(u),c(y,e),c(w,e),c(T,e),c(x,e),c(j,e),c(k,e),c(R,e),c(A,e),c(Q,e)}}}const De='{"title":"Using Unity Sentis Models from Hugging Face","local":"using-unity-sentis-models-from-hugging-face","sections":[{"title":"Exploring Sentis Models in the Hub","local":"exploring-sentis-models-in-the-hub","sections":[],"depth":2},{"title":"Types of files","local":"types-of-files","sections":[],"depth":2},{"title":"Running the model","local":"running-the-model","sections":[],"depth":2},{"title":"Sharing your own Sentis models","local":"sharing-your-own-sentis-models","sections":[],"depth":2},{"title":"Additional Information","local":"additional-information","sections":[],"depth":2}],"depth":1}';function Ne(we){return Qe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ke extends ze{constructor(u){super(),Ve(this,u,Ne,Ge,Ae,{})}}export{Ke as component};
